Subject: Re: bug#77403: 31.0.50; GNU ELPA Tramp package not released

From: Michael Albinus <[email-masked]>
Date: Tue, 08 Apr 2025 16:00:01 +0200

Stefan Monnier <[email-masked]> writes:

Hi Stefan,

> Duh, it was more difficult than it should to track down, but the core
> problem is simple:
>
>     error("Version must be a string")
>     version-to-list(27.1)
>     #f(compiled-function (elt) #<bytecode -0x83c51edcaed87ec>)((emacs 27.1))
>     mapcar(#f(compiled-function (elt) #<bytecode -0x83c51edcaed87ec>) ((emacs 27.1)))
>     package-desc-from-define("tramp" "2.7.2.3" "Transparent Remote
> Access, Multiple Protocol" ((emacs 27.1)) :kind single :url
> "https://www.gnu.org/software/tramp/" :keywords ("comm" "processes")
> :maintainer ("Michael Albinus" . "[email-masked]") :authors
> (("Kai Großjohann" . "[email-masked]") ("Michael Albinus"
> . "[email-masked]")))
>     package-buffer-info()

Thanks. there was an error indeed in my reworked sync script. I've
fixed this, and now a new Tramp release has appeared. Thanks!

I'm closing the bug.

>> Is this what we want?
>
> It's OK that it prevents the release (and also the GNU-devel), I think,
> but it's not OK that it did not send a notification like it happens for
> (most) other failures.

D'accord. But this seems to be fixed now as well (I've got the
notification this morning).

>         Stefan

Best regards, Michael.